Bug 57336 - aspell core dumps checking any file with an &
aspell core dumps checking any file with an &
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: aspell (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-10 11:44 EST by Bryce Nesbitt
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-10 11:54:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Short simple html file that core dumps aspell (use "ispell file.html) (1.88 KB, text/html)
2001-12-10 11:45 EST, Bryce Nesbitt
no flags Details

  None (edit)
Description Bryce Nesbitt 2001-12-10 11:44:19 EST
Description of Problem:

aspell core dumps checking any file with an &


Version-Release number of selected component (if applicable):

HardHat:transport> rpm -q -a | fgrep -i aspell
aspell-de-0.1.1-7
aspell-0.32.6-2
aspell-devel-0.32.6-2
aspell-en-gb-0.32.6-2


How Reproducible:

100%

Steps to Reproduce:

ispell the attached file.  remove the single & to fix the problem.

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bryce Nesbitt 2001-12-10 11:45:15 EST
Created attachment 40288 [details]
Short simple html file that core dumps aspell (use "ispell file.html)
Comment 2 Bryce Nesbitt 2001-12-10 11:54:33 EST
(Make that "any html file".  It's a bug in the html entity parsing code.
Comment 3 Trond Eivind Glomsrxd 2001-12-11 16:26:10 EST
Works fine with the rpms in RHL 7.2
Comment 4 Bryce Nesbitt 2002-12-11 10:32:05 EST
Not true!  Try agin:

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
</head>
<body text="#000000" bgcolor="#FFFFFF" link="#0000EE" vlink="#551A8B"
alink="#FF0000">
<P>A proposed rail trail X & Y.
</body>
</html>

Note You need to log in before you can comment on or make changes to this bug.